org.apache.ignite.internal.processors.cache.transactions

## Interface IgniteTxLocalState

All Superinterfaces:
  IgniteTxState

All Known Implementing Classes:
  IgniteTxImplicitSingleStateImpl, IgniteTxLocalStateAdapter, IgniteTxStateImpl

    public interface IgniteTxLocalState
    extends IgniteTxState

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addEntry(IgniteTxEntry entry)`
`boolean` `init(int txSize)`
`boolean` `initialized()`
`boolean` `recovery()`
`void` `removeEntry(IgniteTxKey key)`
`void` `seal()`
`Map<Integer,Set<Integer>>` `touchedPartitions()`
`void` `touchPartition(int cacheId, int partId)` Remembers that particular cache partition was touched by current tx.

### Methods inherited from interface org.apache.ignite.internal.processors.cache.transactions.IgniteTxState

`addActiveCache, allEntries, awaitLastFuture, cacheIds, empty, entry, firstCacheId, hasInterceptor, hasWriteKey, implicitSingle, mvccEnabled, onTxEnd, readEntries, readMap, readSet, singleCacheContext, singleWrite, stores, storeWriteThrough, syncMode, topologyReadLock, topologyReadUnlock, unwindEvicts, useMvccCaching, validateTopology, writeEntries, writeMap, writeSet`

### Method Detail

#### addEntry

    void addEntry(IgniteTxEntry entry)

Parameters:
  `entry` - Entry.

#### removeEntry

    void removeEntry(IgniteTxKey key)

Parameters:
  `key` - Key.

#### init

    boolean init(int txSize)

Parameters:
  `txSize` - Transaction size.
Returns:
  `True` if transaction was successfully started.

#### initialized

    boolean initialized()

Returns:
  `True` if init method was called.

#### seal

    void seal()

#### touchedPartitions

    Map<Integer,Set<Integer>> touchedPartitions()

Returns:
  Cache partitions touched by current tx.

#### touchPartition

    void touchPartition(int cacheId,
                        int partId)

Remembers that particular cache partition was touched by current tx.

Parameters:
  `cacheId` - Cache id.
  `partId` - Partition id.

#### recovery

    boolean recovery()

Returns:
  Recovery mode flag.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020